# AUTOGENERATED! DO NOT EDIT! File to edit: ../20_CarveMix.ipynb.

# %% auto 0
__all__ = ['CarveMix']

# %% ../20_CarveMix.ipynb 2
from .holemakertechnique import *
from .holemakerroi import *
from .holesfilling import *
from .cutmixrandom import CutMixRandom
import numpy as np
import random
import cv2
from fastai.basics import *

# %% ../20_CarveMix.ipynb 4
class CarveMix(CutMixRandom):
    "Defines the amount of holes, the technique used to make them and the probability of apply the technique."
    def __init__(self,
                 holes_num: int = 1, # The amount of holes to make.
                 ROI_class: int = -1, # The class to be used to select the ROI.
                 ROI_area: int = 25, # The minimum area to be selected as a ROI.
                 p: float = 0.5): # The probability of applying this technique.
        hole_maker = HoleMakerROI(ROI_class, ROI_area)
        super().__init__(holes_num, hole_maker, p)
